Ayuda para obtener las coordenadas de un punto

Ver el tema anterior Ver el tema siguiente Ir abajo

Ayuda para obtener las coordenadas de un punto

Mensaje por José Francisco el Jue Feb 16, 2017 7:15 pm

Buen día a todos en el Foro.
Pasa lo siguiente: Quiero modificar una rutina que uso a diario, es más que todo visual y para ello necesito obtener las coordenadas "X, Y" de un punto en la pantalla. Este punto es al que quiero mover un cuadro o rectángulo (al correr el lisp lo entenderán).

Es sí es esto: dibujo un rectángulo en las coordenadas "100,100" "300,300" y lo muevo desde las coordenadas "100,100" a un punto cualquiera en la pantalla. La pregunta en si es: ¿ como le asigno a una variable las coordenadas de ese punto?

Si pueden ayudarme, les agradezco.

Este es el código que tengo :

(defun c:mrt (/)
(command "_.rectang" "100,100" "300,300")
(command "move" "last" "" "100,100" pause)
)

Saludos

José Francisco

Mensajes : 10
Fecha de inscripción : 30/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por nolo el Jue Feb 16, 2017 10:19 pm

no veo claro lo que quieres pero prueba con algo parecido a esto
Código:
(command "_move" "_last" "" (getpoint"\npunto base : ") pause)

Un saludo

nolo

Mensajes : 144
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por José Francisco el Vie Feb 17, 2017 4:30 pm

Buenos días.
Nolo, gracias por su ayuda.
Lo que estoy buscando es el punto (coordenadas "X,Y") al cual voy a mover el rectángulo, sé que lo muevo desde "100,100" pero "no sé" (puede ser cualquier punto) a que punto lo voy a mover.
Supongamos que quiero mover de nuevo el rectángulo, lo muevo desde qué punto?. Es un nuevo punto base y es el que quiero obtener.
No sé si me explico.
Agradezco su ayuda.

José Francisco

Mensajes : 10
Fecha de inscripción : 30/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por nolo el Vie Feb 17, 2017 5:56 pm

A ver si es esto
Código:
;; primero lo movemos a newp
(command "move" "last" "" "100,100" (setq newp (getpoint "Nuevo punto")))
;; luego lo movemos desde newp
(command "move" "last" "" newp pause)

Un saludo

nolo

Mensajes : 144
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por José Francisco el Vie Feb 17, 2017 6:46 pm

De nuevo, buen día.
Nolo, gracias.
Me ha dado la luz para encontrar lo que busco.

(defun c:mrt (/)
(command "_.rectang" "100,100" "300,300")
(command "move" "last" "" "100,100" pause)
(while
(setq c (getvar "lastpoint"))
(command "move" "last" "" c pause)
)
)

En verdad, mil gracias.

Saludos

José Francisco

Mensajes : 10
Fecha de inscripción : 30/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por nolo el Vie Feb 17, 2017 7:20 pm

De nada, pero tal y como lo tienes solo sales de la rutina interrumpiendola ya que siempre existirá el lastpoint
Creo que deberías utilizar lago así para que salgas cuando no pinches en un nuevo punto (botón derecho)

Código:
(defun c:mrt (/)
(command "_.rectang" "100,100" "300,300")
(command "_move" "_last" "" "100,100" (setq newp (getpoint "Nuevo punto")))
(while newp
(command "_move" "_last" "" (getvar 'lastpoint) (setq newp (getpoint "Nuevo punto")))
)
)

Un saludo

nolo

Mensajes : 144
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por José Francisco el Vie Feb 17, 2017 9:29 pm

Nolo, es verdad, para salir le tenía que dar "ESC", (poco elegante).

De nuevo, muchas gracias.

José Francisco

Mensajes : 10
Fecha de inscripción : 30/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Ayuda para obtener las coordenadas de un punto

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.